%define version 0.2

Summary:	monitors dns servers for intentional or malicious changes
Name:		dns-check
Version:	%{version}
Release:	0
Copyright:	GPL
Group:		Applications/Internet
Source:		http://www.stearns.org/dns-check/dns-check-%{version}.tar.gz
URL:		http://www.stearns.org/dns-check/
Vendor:		William Stearns
Packager:	William Stearns <wstearns@pobox.com>
BuildRoot:	/var/tmp/dns-check-root
Buildarch:	noarch
Prereq:		/usr/bin/dig /bin/sort /usr/bin/diff /bin/grep



%description
dns-check polls a configurable list of dns servers for dns records.  If 
any changes are found, an administrator can be notified.


%prep
%setup


#%build


%install
if [ "$RPM_BUILD_ROOT" = "/var/tmp/dns-check-root" ]; then
	rm -rf $RPM_BUILD_ROOT
	mkdir -p $RPM_BUILD_ROOT/usr/bin
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/dns-check-%{version}
	make DESTDIR=$RPM_BUILD_ROOT install
else
	echo Invalid Buildroot
	exit 1
fi
	

%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/dns-check-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Buildroot
	exit 1
fi


%files
%doc COPYING CREDITS ChangeLog INSTALL Makefile NEWS README TODO dns-check.conf.sample
%attr(755,root,root)			/usr/bin/dns-check


